function mdot = masses6(t,m,mhn,gamma_s,gamma_sd,flowx,gamma,gammaprime,lambda,...
                        aa1,aa2,aa3,aa4,aa5,aa6,tf)




a1 =@(x)interp1q(0:tf,aa1,x);
a2 =@(x)interp1q(0:tf,aa2,x);
a3 =@(x)interp1q(0:tf,aa3,x);
a4 =@(x)interp1q(0:tf,aa4,x);
a5 =@(x)interp1q(0:tf,aa5,x);
a6 =@(x)interp1q(0:tf,aa6,x);




% m(1) = mlo; m(2) = mho;

mdo = max((flowx - m(1) - m(2))*a5(t),0); 
%mdo = max((flowx - mlo - mho).*aa5,0);


mdot(1)      = lambda*m(2)*a2(t) - (gamma_s*a1(t)*a6(t) + gamma_sd*a1(1)*a4(t))*m(1);


gamma_b   = gamma*m(1)*a1(t);
gamma_bd  = gammaprime*mdo*a5(t);



mdot(2)      = (gamma_b*mhn*a6(t) + gamma_bd*mhn*a3(t) - lambda*m(2)*a2(t));

 

mdot = mdot(:);






